<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("../tarjeta/cTarjeta.php");
$oTarjeta = new cTarjeta();
require_once ("../cuentadeposito/cCuentadeposito.php");
$oCuentadeposito = new cCuentadeposito();
require_once ("../formatos/formato.php");
if(isset($_SESSION['venpag_mon']))
{
	$num_rows=count($_SESSION['venpag_mon']);
	if($num_rows==0)$num_rows="";
}
else
{
	$num_rows="";
}
?>
<input name="hdd_ven_pag_numite" id="hdd_ven_pag_numite" type="hidden" value="<?php echo $num_rows?>">
<div class="table-responsive">	
	<table class="table table-bordered table-striped">
		<thead>
			<tr >
				<th>FORMA</th>				
				<th>DETALLE</th>
				<th align="right" nowrap="nowrap">MONTO</th>
				<th align="right" nowrap="nowrap">&nbsp;</th>
			</tr>
		</thead>
		<tbody>
			<?php
			foreach($_SESSION['venpag_mon'] as $indice=>$valor)
			{
				$total+=$valor;
			?>
			<tr>
				<td>
					<?php 
					if($_SESSION['venpag_for'][$indice]==1)echo 'CONTADO ';
					if($_SESSION['venpag_for'][$indice]==2)echo 'CREDITO ';
					?>
				</td>
				
				<td>
					<?php
					
					if($_SESSION['venpag_for'][$indice]==1){
							if($_SESSION['venpag_mod'][$indice]==1)echo 'EFECTIVO';
							if($_SESSION['venpag_mod'][$indice]==2)echo 'DEPOSITO';
							if($_SESSION['venpag_mod'][$indice]==4)echo 'TRANSFERENCIA';
							if($_SESSION['venpag_mod'][$indice]==5)echo 'CHEQUE';
							if($_SESSION['venpag_mod'][$indice]==6)echo 'TARJETA';
							if($_SESSION['venpag_mod'][$indice]==7)echo 'YAPE';
							if($_SESSION['venpag_mod'][$indice]==8)echo 'PLIN';
					}
					
					if($_SESSION['venpag_for'][$indice]==2)echo 'A '.$_SESSION['venpag_numdia'][$indice].' días | Vencimiento: '.mostrarFecha($_SESSION['venpag_fecven'][$indice]);
					
	
					?>
				</td>
				<td align="right"><?php echo formato_money($valor)?></td>
				<td align="right">
					<span class="btn btn-danger btn-xs glyphicon glyphicon-remove" title="Quitar pago."  onClick="pago_venta_agregar('quitar','<?php echo $indice?>')"><i class="fas fa-trash"></i></span></td>
			</tr>
			<?php						
			}
			?>
		</tbody>
		<tr>
			<td>				
				<a class="btn btn-dark btn-xs" title="Vaciar formas de pago" href="javascript:void(0)" onClick="pago_venta_agregar('restablecer')"><i class="fa fa-remove"></i> Vaciar</a>
			</td>
			<td colspan="1" align="right">MONTO TOTAL : S/.</td>
			<td align="right"><?php echo formato_money($total);?></td>
			<td align="right">
				<input name="hdd_venpag_tot" id="hdd_venpag_tot" type="hidden" value="<?php echo formato_money($total)?>">
			</td>
		</tr>
		
		<?php 
				$ven_tot=moneda_mysql($_POST['ven_tot']);
				$diferencia=$ven_tot-$total;
		if($diferencia>0){
				
		?>	
		
		<tr>
				<td>&nbsp;</td>
				
				<td colspan="1" style="text-align:right;font-weight: bold;border:0px" >
				<?php if(formato_money($diferencia)!='0.00') echo 'DIFERENCIA: S/.'?>
				</td> 
				<td align="right" nowrap="nowrap" style="text-align:right;font-weight: bold;border:0px">
				<?php if(formato_money($diferencia)!='0.00') echo formato_money($diferencia)?>					
				</td>
				<td align="right" >
				
			</tr>
		<?php 
		}		
		?>
		
		<input name="hdd_venpag_dif" id="hdd_venpag_dif" type="hidden" value="<?php echo formato_money($diferencia)?>"> </td> 
		
	</table>
	
	<input name="hdd_venpag_numrows" id="hdd_venpag_numrows" type="hidden" value="<?php echo $num_rows?>">
	
	
</div>